TRUNC(3)

NAME
trunc, truncf, truncl - round to interger, towards zero

SYNOPSIS
#include <math.h>

double trunc(double x);
float truncf(float x);
long double truncl(long double x);

DESCRIPTION
These functions round x to the nearest integer not larger in absolute value.

RETURN VALUE
The rounded integer value. If x is integral, infinite or NaN, x itself is returned.

ERRORS
None.

CONFORMING TO
C99.

SEE ALSO
ceil(3), floor(3), lrint(3), nearbyint(3), rint(3), round(3)